Bug 1127993

Summary: [abrt] juffed: QObjectPrivate::setParent_helper(): juffed killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Andrey Volkov <jezekulfur>
Component: juffedAssignee: Eugene A. Pivnev <ti.eugene>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: ti.eugene
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/36f07b4db9d864dbd79724c59d8d70214e9478e4
Whiteboard: abrt_hash:3d604da55e83c0218fbcbcf55c870c16c6e546fe
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:58:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages
none
File: exploitable none

Description Andrey Volkov 2014-08-08 05:03:48 UTC
Version-Release number of selected component:
juffed-0.10-5.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/juffed
crash_function: QObjectPrivate::setParent_helper
executable:     /usr/bin/juffed
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QObjectPrivate::setParent_helper at kernel/qobject.cpp:1949
 #1 QObject::~QObject at kernel/qobject.cpp:959
 #2 ~AnimationData at /usr/src/debug/kde-workspace-4.11.11/kstyles/oxygen/animations/oxygenanimationdata.h:59
 #3 ~GenericData at /usr/src/debug/kde-workspace-4.11.11/kstyles/oxygen/animations/oxygengenericdata.h:55
 #4 ~SliderData at /usr/src/debug/kde-workspace-4.11.11/kstyles/oxygen/animations/oxygensliderdata.h:54
 #5 ~ScrollBarData at /usr/src/debug/kde-workspace-4.11.11/kstyles/oxygen/animations/oxygenscrollbardata.h:50
 #6 Oxygen::ScrollBarData::~ScrollBarData at /usr/src/debug/kde-workspace-4.11.11/kstyles/oxygen/animations/oxygenscrollbardata.h:50
 #7 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1935
 #8 QObject::~QObject at kernel/qobject.cpp:954
 #9 ~BaseEngine at /usr/src/debug/kde-workspace-4.11.11/kstyles/oxygen/animations/oxygenbaseengine.h:57

Comment 1 Andrey Volkov 2014-08-08 05:03:52 UTC
Created attachment 925062 [details]
File: backtrace

Comment 2 Andrey Volkov 2014-08-08 05:03:53 UTC
Created attachment 925063 [details]
File: cgroup

Comment 3 Andrey Volkov 2014-08-08 05:03:55 UTC
Created attachment 925064 [details]
File: core_backtrace

Comment 4 Andrey Volkov 2014-08-08 05:03:57 UTC
Created attachment 925065 [details]
File: dso_list

Comment 5 Andrey Volkov 2014-08-08 05:03:59 UTC
Created attachment 925066 [details]
File: environ

Comment 6 Andrey Volkov 2014-08-08 05:04:00 UTC
Created attachment 925067 [details]
File: limits

Comment 7 Andrey Volkov 2014-08-08 05:04:03 UTC
Created attachment 925068 [details]
File: maps

Comment 8 Andrey Volkov 2014-08-08 05:04:05 UTC
Created attachment 925069 [details]
File: open_fds

Comment 9 Andrey Volkov 2014-08-08 05:04:06 UTC
Created attachment 925070 [details]
File: proc_pid_status

Comment 10 Andrey Volkov 2014-08-08 05:04:08 UTC
Created attachment 925071 [details]
File: var_log_messages

Comment 11 Andrey Volkov 2014-08-08 05:04:09 UTC
Created attachment 925072 [details]
File: exploitable

Comment 12 Fedora End Of Life 2015-05-29 12:35:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:58:37 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.